Version 4.0.26.22 (latest)

### List databases available to this connection

Certain dialects can support multiple databases per single connection.
If this connection supports multiple databases, the database names will be returned in an array.

Connections using dialects that do not support multiple databases will return an empty array.

**Note** : [Connection Features](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/Metadata/connection_features) can be used to determine if a connection supports
multiple databases.

## Request

GET /connections/{connection_name}/databases Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... connection_name string Name of connection

## Response

### 200: Database names

Datatype Description (array) string\[\]

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link